# Release Notes

## 6.18.0

Current dev.

## 6.17.1

### Configuration changes

* Re-added Pdf.baseUrl configuration property, to be able to resolve URLs for PDFs, if WebRoot is not available
  locally. (also contained in 6.16.5)

### Solr related changes

* Indexing change: New field ObjectPath in schema.xml. => reindexing required.

## 6.17.0

### Configuration changes

* No more automatic task recovery, so Task.recovererDelayInMillis configuration option is removed.
  Instead you should use the REST API to trigger task recovery based on task status, storename or
  shop GUID. (/rs/queue/recovery)

* New ENV variable EPAGESJ_LOG_ARCHIVE. If set, logback will rotate into this directory, if unset
  archives still go into ./logs/archive/

## 6.16.5

Internal release containing new public REST API, based on 6.17.0 development.

## 6.16.4

Bugfix release without configuration changes.

## 6.16.3

Bugfix release without configuration changes.

## 6.16.2

### Configuration changes

* Added logstash-compatible logger in logback-epagesj.xml and logback-solr.xml (disabled by default)

## 6.16.1

### Configuration changes

* Configuration for disabling the "sorting by position" removed again. The algorithm has been
  rewritten for better scalability. (Index.sortingByPositionEnabled)

* Small change on logback-epagesj.xml : Set com.epages.product.reader explicitly to "WARN" to avoid
  possible problems, when user is setting DEBUG on root logger.

## 6.16.0

### Configuration changes

* recovererDelayInMillis set to -1. This disables task recovery by default. In most cases task recovery is 
  not wanted. Instead you should schedule a full reindex for your shops.

## 6.15.7

* Backport of replaced sorting algorithm.

## 6.15.6

* Has a critical issue on task rescheduling. Do not use!

## 6.15.5

### Configuration changes

* Configuration for disabling the new "sorting by position" added. This feature is known to cause problems on big
  installations. The default has been set to "off" (Index.sortingByPositionEnabled - default:false)

## 6.15.4

### Configuration changes

* Auto-generation of epagesj.sample.conf. This causes this file to look completely different, although the relevant
  configuration changes are just the ones below.

* Server section moved to EPagesJServer

* Changed SolrClient.updateQueueSize default from 500 to 50. This makes memory consumption of epagesj more stable in 
  cases, where Solr cannot keep up. This has not been seen in production yet. It is more a safety measure.

* Changed SolrClient.addDocsBufferSize default from 500 to 100. Same here. Don't accumulate too many documents to stabilize
  memory consumption.

* Changed Solr.autoOptimizeCheckInSecs default from 120 to 3600. Only check if core optimization is necessary once every hour.
  This should be disabled completely on big sites anyway. core optimization is a very expensive operation in
  solr and only brings short-term benefits because of constant index fragmentation due to index updates.
  Usually the merge strategy configured inside solr is good enough to keep index fragmentation on a stable level.

* Changed DSPool.maxWait default from 1000 to 30000. 30 seconds is the default for webapps to wait for a database connection.
  We experienced production sites that could not free database connections quick enough, which was causing tasks
  to fail.

## 6.15.3

### Configuration changes

* Merged all search and suggest field configurations into two remaining entries: Search.suggestQueryfields and Search.searchQueryfields
  We replaced the phonetic index all together. As a replacement we introduced a spell-checking fallback query implementation with
  a spellcheck index on product name, manufacturer and category names.

### Necessary update steps

* Drop the Mongo collections: "use epagesj; db.tasks.drop(); db.attributes.drop(); db.categories.drop();"

* Reindex all Stores: $PERL $EPAGES_CARTRIDGES/DE_EPAGES/RemoteSearch/Scripts/manageIndex.pl -storename Store -update -all
